<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <style>
    div {
        margin-bottom: 3px;
    }

    span {
        border: 1px solid silver;
        padding-left: 4px;
        padding-right: 4px;
    }

    #boton {
        margin-top: 12px;
        margin-left: 60px;
    }
    </style>
    <script type="text/javascript">
    function localizar(position) {
        var latitud = position.coords.latitude;
        var longitud = position.coords.longitude;
        document.getElementById("latitud").innerHTML = latitud;
        document.getElementById("longitud").innerHTML = longitud;
    }


    function getLocalisation() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(localizar);
        } else {
            alert("Lo sentimos, su navegador no soporta la geolocalización");
        }
    }
    </script>
</head>

<body>
    <form>
        <h2> Html5 geolocalización
            </h2>
        <div> Latitud:
            <span id="latitud"> En espera...
                        </span>
        </div>
        <div> Longitud:
            <span id="longitud"> En espera...
                                    </span>
        </div>
        <input type="button" id="boton" onclick="getLocalisation();" value="Geolocalizar">
</body>

</html>